import App from "./App";

import Vue from "vue";
import uView from "uview-ui";
import store from "./store/index.js";
import common from "./common/index.js";
import api from "@/http/";
import moment from "moment";
import ww from "chinese-workday";

Vue.use(uView);
Vue.prototype.$api = api;
Vue.prototype.$common = common;
Vue.prototype.$moment = moment;
Vue.prototype.$isWorkday = ww.isWorkday;
Vue.config.productionTip = false;

// Vue.config.ignoredElements.push("wx-open-launch-weapp");
App.mpType = "app";
const app = new Vue({
  ...App,
  store,
});
app.$mount();
